%% PRINTSCREETEST_RTF : Print the Scree Test in rtf style
%
% ARGUMENTS   : S      -> Dispersion matrix (S, R, or Rp)
%               r      -> Number of factor to retain
%               Output -> Display the result in this object in rtf mode. 
%                         If not, the results are displayed in matlab workspace
%                         window.
%

function PrintScreeTest_rtf(S,r,Output)

[k,tmp]=size(S);

[Q,D]=ed(S);
f0=diag(D);
f=[];
for i=1:k,
    if i==1,
       f=[f0(i) f0(i)/sum(f0) f0(i)/sum(f0)];
    else,
       f=[f; [f0(i) f0(i)/sum(f0) (f(i-1,3) + f0(i)/sum(f0))]];
    end;       
end;

int='\intbl ';
cell='\cell ';
row='\row';
par='\par';
pard='\pard';

MyPrint(Output,par);
MyPrint(Output,'\ql\qc \ul Explained variance based on eigenvalues (SCREE TEST) \ul0');
MyPrint(Output,par);MyPrint(Output,par);

%Capçalera
interline_cap='\trowd\trgaph72\clbrdrt\brdrs\clbrdrl\brdrs\clbrdrb\brdrs\clbrdrr\brdrs\cellx800\clbrdrt\brdrs\clbrdrl\brdrs\clbrdrb\brdrs\clbrdrr\brdrs\cellx8200';
buff2='\intbl Factor \cell Scree Plot \cell \row';
MyPrint(Output,interline_cap);
MyPrint(Output,buff2);
MyPrint(Output,'\ql');

%Cos i bottom
interline_cos='\trowd\trgaph72\clbrdrl\brdrs\clbrdrr\brdrs\cellx800\clbrdrl\brdrs\clbrdrr\brdrs\cellx8200';
interline_bottom='\trowd\trgaph72\clbrdrl\brdrs\clbrdrb\brdrs\clbrdrr\brdrs\cellx800\clbrdrl\brdrs\clbrdrb\brdrs\clbrdrr\brdrs\cellx8200';


for i=1:k,
    if i==k
        MyPrint(Output, interline_bottom);
    else
        if i==1
            MyPrint(Output, interline_cos);
        end;
    end;
    buff1=sprintf(' %3.0f ',i); 
%     if i<=r,
%        buff2=sprintf('%6.4f                   ',f(i,3));   
%     else,
%        buff2='                         '; 
%     end;
    ast=floor(f(i,2)/max(f(:,2))*40);
    if f(i,2) > 0.01,
        buff3='*';
        for j=1:ast,
            buff3=[buff3 '*'];
        end;
    else,
        buff3='*';
    end;
%     buff4 = sprintf('%s%s%s',buff1,buff2,buff3);
    if i==k
%         MyPrint(Output, interline_bottom);
        MyPrint(Output,[int buff1 cell buff3 cell row pard par]);  
    else
%         MyPrint(Output, interline_cos);
        MyPrint(Output,[int buff1 cell buff3 cell row]);
    end;
end;



