%% PRINT_FACTOR_SCORES : For printing the Factor Scores section
%

function Print_Factor_Scores(data,Output)
    
    [m,r] = size(data.P);
    N=data.N;
 
    TotalLines = N*r;
    
    BarCount = 0; bar1 = waitbar(BarCount,'Printing ... ');
    TicPrint = tic;

    MyPrint(Output,' ');
    MyPrint(Output,' ');
    switch data.Matrix
            case {1,2}
                    MyPrint(Output,'CONTINUOUS EAP FACTOR SCORES ESTIMATES AND PRECISION'); 
            case {3}    
                    MyPrint(Output,'GRADED EAP FACTOR SCORES ESTIMATES AND PRECISION'); 
    end;
    MyPrint(Output,' ');
    MyPrint(Output,' ');
    
    th = data.th;
    se = data.se;
    th_li=data.th_li;
    th_ls=data.th_ls;
    reli=data.reli;
    
    for j=1:r,
        if (j==1),
            buff=sprintf('FACTOR: CONTENT      ');
        else,
            buff=sprintf('FACTOR: ACQUIESCENCE      ');
        end;
        MyPrint(Output,buff);
        MyPrint(Output,' ');

        switch data.Matrix
            case {1}
                  buff=sprintf('RELIABILITY OF EAP FACTOR SCORES:   % .3f          ',reli(j));
                  MyPrint(Output,buff);
                  MyPrint(Output,' ');
                  MyPrint(Output,'Participant  Estimate      Approximate 90%      Posterior');
            case {2,3}    
                  buff=sprintf('RELIABILITY OF EAP FACTOR SCORES:   % .3f          ',mean(reli(:,j)));
                  MyPrint(Output,buff);
                  MyPrint(Output,' ');
                  MyPrint(Output,'Participant  Estimate      Approximate 90%      Posterior  Reliability');
        end;
        MyPrint(Output,'             factor score  confidence interval  SD (PSD)');
                                                               
        MyPrint(Output,' ');
        for i=1:N,

            buff=sprintf('%4.0f         % .3f        ',i,th(i,j));
            buff1=sprintf('(% .3f   % .3f)   ',th_li(i,j),th_ls(i,j));
            switch data.Matrix
                case {1}
                      buff2=sprintf('% .3f       ',se(j,j));
                case {2,3}    
                      buff2=sprintf('% .3f      % .3f',se(i,j),reli(i,j));
            end;

            buff =[ buff buff1 buff2];
            MyPrint(Output,buff);

            %Bar
            BarCount = BarCount + 1; 
            compT = toc(TicPrint);
            compT = compT*(TotalLines-BarCount)/BarCount;
            s_tmp=['Printing ... (Remaining time = ' Time2String( compT ) ')'];
            waitbar(BarCount/TotalLines,bar1,s_tmp);

        end;
        MyPrint(Output,' ');
        if j<r,
           MyPrint(Output,'-----------------------------------------------------------');
           MyPrint(Output,' ');
        end;
        
    end;

    close(bar1);
    
    MyPrint(Output,' ');
    MyPrint(Output,'-----------------------------------------------------------------------');

return;