%% BENTLER : Compute the Bentler's complexity index
%
% ARGUMENTS   : A  -> Factor solution
%
% RETURN VALUE: s  -> Bentler's simplicity index
%
function [s] = bentler (A);

       C = A.*A;

       D =  sqrt(diag(diag(C'*C)));
       
       S = D^(-1) * C' * C * D^(-1);
     
       s = det(S);
