%% POLI : POLYCHORIC CORRELATION CALCULATION
%

function [r, Ct] = poli(C,tha,thb,Ki,conv)

r   = 0.0;
li  = -1.0;
ls  =  1.0;
inc = 0.5;

   Cr = C / sum(sum(C)');
   Ct = normalbi(tha,thb,Ki,r);
   
fr = 1;
while (abs(fr) > conv),
  
   Cn = Cr ./Ct .* ordnormalbi(tha,thb,Ki,r);
   
   fr =sum(sum(Cn)');
   if fr > 0,
      li = r;
      inc = abs((ls - r)/2);
   else
      ls  = r;
      inc = abs((li - r)/2)*(-1);
   end;

   if (abs(fr) > conv),
      r = r + inc;
      Ct = normalbi(tha,thb,Ki,r);
   end;

end;

return;
