%% PROMIN : Promin semi-specified rotation using majorization
%
% ARGUMENTS   : F    -> Factor soultion to be rotated
%               conv -> convergence criterion.
%               nrs  -> number of random starts.
%
% RETURN VALUE: T    -> Transformation matrix  to the pattern
%               U    -> Transformation matrix  to the structure
%               
% DEPENDENCIES: ed.m
%               nor.m
%               nrm.m
%               ssq.m
%               tarrotob.m
%               urbmaj.m
%               wvarim.m
%
function [T, U, W ] = promin (F,conv,nrs);

%counters i,j

  [n,m] = size (F);

  Tv = wvarim(F,conv,nrs);

  C  = nor(F * Tv);
  B = [];
  for j=1:m,
      B = [B urbmaj(C(:,j))];
  end;
  
  W = zeros(n,m);
  for j=1:m,
      for i=1:n,
          if B(i,j) > 0.0001,
             W(i,j) = 1.0;
          end;
      end;
  end;
  [A, T, PHI, ST ] = tarrotob (F, W, conv);
  U = inv(T');
