%% SR : Non-Linear transformations of elements in R to ensure it is positive-definiteness
%

function nR = sr(R,N)

delta = .25/sqrt(N);

izdelta=izfisher(delta);

[n,n]=size(R);

nR = R;

while min(eig(nR))<0,
 for i=1:n-1,
    for j=i+1:n,
         r = nR(i,j);
        nr = r;
        zr=zfisher(r);

        if r < -izdelta,
            nr = izfisher(zr+delta);
        end;
        if abs(r) <= izdelta,
            nr = 0;
        end;
        if r > izdelta,
           nr = izfisher(zr-delta); 
        end;
        
        nR(i,j)=nr;
        nR(j,i)=nr;
    end;
 end;
end;
